Class SearchBuilder

java.lang.Object
com.dropbox.core.v2.files.SearchBuilder

public class SearchBuilder extends Object
The request builder returned by DbxUserFilesRequests.searchBuilder(java.lang.String, java.lang.String).

Use this class to set optional request parameters and complete the request.

  • Method Details

    • withStart

      public SearchBuilder withStart(Long start)
      Set value for optional field.

      If left unset or set to null, defaults to 0L.

      Parameters:
      start - The starting index within the search results (used for paging). Must be less than or equal to 9999. Defaults to 0L when set to null.
      Returns:
      this builder
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • withMaxResults

      public SearchBuilder withMaxResults(Long maxResults)
      Set value for optional field.

      If left unset or set to null, defaults to 100L.

      Parameters:
      maxResults - The maximum number of search results to return. Must be greater than or equal to 1 and be less than or equal to 1000. Defaults to 100L when set to null.
      Returns:
      this builder
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • withMode

      public SearchBuilder withMode(SearchMode mode)
      Set value for optional field.

      If left unset or set to null, defaults to SearchMode.FILENAME.

      Parameters:
      mode - The search mode (filename, filename_and_content, or deleted_filename). Note that searching file content is only available for Dropbox Business accounts. Must not be null. Defaults to SearchMode.FILENAME when set to null.
      Returns:
      this builder
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • start

      Issues the request.
      Throws:
      SearchErrorException
      DbxException